<template>
    <div>
        <div class="hallContainerIn md:w-9/12 py-6 px-2 md:px-0">
            <p class="text-4xl font-bold mb-3">よくあるご質問</p>
            <p>FAQ・お問い合わせ(よくあるご質問)</p>
<!-- index -->
            <div class="bg-gray-100 my-6 py-3 md:px-2">
                <h1 class="text-xl my-4 ml-3">Viber全体に関して</h1>
                <div class="md:px-3 px-1 md:grid md:grid-cols-2">
                    <div v-for="item in questionsAsWhole" :key="item.Q"  class="">
                        <div class="flex">
                            <p class=" text-xl font-bold text-blue-900 p-2 pt-1.5 pr-0">Q</p>
                            <a :href="`#${item._id}`">
                                <button  class="md:col-span-1 p-2 text-left underline hover:no-underline">{{ item.Q }}</button>
                            </a>
                        </div>
                    </div>
                </div>

                <h1 class="text-xl my-4 ml-3">Viberの機能に関して</h1>
                <div class="md:px-3 px-1 md:grid md:grid-cols-2">
                    <div v-for="item in questionsAboutFeature" :key="item.Q"  class="">
                        <div class="flex">
                            <p class=" text-xl font-bold text-blue-900 p-2 pt-1.5 pr-0">Q</p>
                            <a :href="`#${item._id}`">
                                <button  class="md:col-span-1 p-2 text-left underline hover:no-underline">{{ item.Q }}</button>
                            </a>
                        </div>
                    </div>
                </div>

                <h1 class="text-xl my-4 ml-3">その他</h1>
                <div class="md:px-3 px-1 md:grid md:grid-cols-2">
                    <div v-for="item in other" :key="item.Q"  class="">
                        <div class="flex">
                            <p class=" text-xl font-bold text-blue-900 p-2 pt-1.5 pr-0">Q</p>
                            <a :href="`#${item._id}`">
                                <button  class="md:col-span-1 p-2 text-left underline hover:no-underline">{{ item.Q }}</button>
                            </a>
                        </div>
                    </div>
                </div>
                
            </div>
<!-- Q&A -->
            <div class="border-2">
                <h1 class="text-2xl my-4 ml-4">Viber全体に関して</h1>
                <div class="md:px-3 px-1 divide-y-4 border-t-2">
                        <div v-for="item in questionsAsWhole" :key="item.Q" class="divide-y-2" :id="item._id">
                            <h1 :ref="item.Q" class="px-2 py-4"><span class="text-xl font-bold text-blue-900 mr-2">Q</span>{{ item.Q }}</h1>
                            <div class="flex pt-3">
                                <p class=" text-xl font-bold text-red-900 p-2 pt-1.5 pr-0 ">A</p>
                                <div class="mb-4 ">
                                    <p class="p-2 pb-0">{{ item.A }}</p>
                                    <div v-if="item.Link">
                                        <a :href="item.Link" class="p-2 underline hover:no-underline text-blue-500">{{ item.linkName }}</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                </div>                
            </div>
            <div class="my-5 flex flex-row justify-end items-center ">
                <a href="#top"  class="text-right font-bold text-blue-900">ページの先頭へ</a>
                <i class="fa-solid fa-circle-chevron-up fa-2x text-blue-900 ml-2"></i>
            </div>

            <div class="border-2">
                <h1 class="text-2xl my-4 ml-4 ">Viberの機能に関して</h1>
                <div class="md:px-3 px-1 divide-y-4 border-t-2">
                        <div v-for="item in questionsAboutFeature" :key="item.Q" class="divide-y-2" :id="item._id">
                            <h1 :ref="item.Q" class="px-2 py-4"><span class="text-xl font-bold text-blue-900 mr-2">Q</span>{{ item.Q }}</h1>
                            <div class="flex pt-3">
                                <p class=" text-xl font-bold text-red-900 p-2 pt-1.5 pr-0">A</p>
                                <div class="mb-4">
                                    <p class="p-2 pb-0">{{ item.A }}</p>
                                    <div v-if="item.Link">
                                        <a :href="item.Link" class="p-2 underline hover:no-underline text-blue-500">{{ item.linkName }}</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                </div>
            </div>
            <div class="my-5 flex flex-row justify-end items-center ">
                <a href="#top"  class="text-right font-bold text-blue-900 ">ページの先頭へ</a>
                <i class="fa-solid fa-circle-chevron-up fa-2x text-blue-900 ml-2"></i>
            </div>

            <div class="border-2 mt-4">
                <p class="text-2xl my-4 ml-4 ">その他</p>
                <div class="md:px-3 px-1 divide-y-4 border-t-2">
                        <div v-for="item in other" :key="item.Q" class="divide-y-2" :id="item._id">
                            <h1 :ref="item.Q" class="px-2 py-4"><span class="text-xl font-bold text-blue-900 mr-2">Q</span>{{ item.Q }}</h1>
                            <div class="flex pt-3">
                                <p class=" text-xl font-bold text-red-900 p-2 pt-1.5 pr-0">A</p>
                                <div class="mb-4">
                                    <p class="p-2 pb-0">{{ item.A }}</p>
                                    <div v-if="item.Link">
                                        <a :href="item.Link" class="p-2 underline hover:no-underline text-blue-500">{{ item.linkName }}</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                </div>
            </div>
            <div class="my-5 flex flex-row justify-end items-center ">
                <a href="#top"  class="text-right font-bold text-blue-900 ">ページの先頭へ</a>
                <i class="fa-solid fa-circle-chevron-up fa-2x text-blue-900 ml-2"></i>
            </div>

            <div class="flex mb-4 text-sm">
                <p>※</p>
                <div>
                    <p>Viberやキャンペーンの不明点はこちらまでお問い合わせください。</p>
                    <p>(Viber お客様サポートセンターの営業時間は平日9：30～18:00となっております。)</p>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default{

    name:'QuestionScreen',
    data() {
        return {
            questionsAsWhole : [
                {"_id":"1",
                "Q":"対応しているOS環境が知りたいです。",
                "A": "こちらでご確認いただけます。",
                "Link":null,
                "linkName": null},
                {"_id":"2",
                "Q":"スマートフォンでViberアプリを使うにはどうすればよいですか？",
                "A": "スマートフォンにViberアプリをダウンロードして、初回のアクティベート設定をしてください。",
                "Link":"https://help.viber.com/hc/ja/articles/8845686952861",
                "linkName": "Viberをスマートフォンにセットアップ"},
                {"_id":"3",
                "Q":"対応しているOS環境が知りたいです。",
                "A": "こちらでご確認いただけます。",
                "Link":"https://help.viber.com/hc/ja/articles/9210039148189",
                "linkName": "サポート対象のプラットフォーム"},
                {"_id":"4",
                "Q":"スマートフォンでViberアプリを使うにはどうすればよいですか？",
                "A": "スマートフォンにViberアプリをダウンロードして、初回のアクティベート設定をしてください。",
                "Link":"https://help.viber.com/hc/ja/articles/8845686952861",
                "linkName": "Viberをスマートフォンにセットアップ"},
            ],
            questionsAboutFeature:[
                {"_id":"a",
                "Q":"ボイスメッセージでのやり取りの方法がわかりません。",
                "A":"こちらでご確認いただけます。",
                "Link":"https://help.viber.com/hc/ja/articles/9423180947869#article-anchor-22",
                "linkName":"音声とビデオメッセージ"}
            ],
            other : [
                {"_id":"aa",
                "Q":"楽天とViberはどのような関係ですか？",
                "A":"平成26年3月11日付でViber Media; Inc発行済株式の取得を完了し、楽天の完全子会社となりました。",
                }
            ]
        };
    },


}
</script>